---
name: RFC Suggestion request
about: Create Suggestion RFC for this project
title: Proposed RFC Suggestion =description=
labels: 'rfc-suggestion'
assignees: ''

---

# O3DE Suggestion RFC Template

### When using this template, you do not have to fill out every question below. The questions are there for guidance.

This RFC template should be used for any suggestion that is not based upon code or content related to the O3DE product itself. This template is for proposing new process models, approaches, or ideas to improve the O3DE community.

A hastily proposed RFC can hurt its chances of acceptance. Low-quality proposals, proposals for previously rejected features, or those that do not have any substantive value to the project may be quickly rejected, demotivating the unprepared contributor. Laying some groundwork with others in the community ahead of the RFC can make the process much smoother.

Although there is no single way to prepare for submitting an RFC, it is generally a good idea to pursue feedback from other project members beforehand. Keep in mind that you want other members to contribute and back your suggestion, which can drastically improve the chances of implementation.

The most common preparations for writing and submitting an RFC include:
- Talking the idea over on our Discord server.
- Creating a discussion on our GitHub RFCs discussions page.
- Occasionally posting "pre-RFCs" on the GitHub RFCs discussion page.
You may file issues in the RFCs repo for discussion, but these are not actively looked at by the teams.

As a rule of thumb, receiving encouraging feedback from long-standing community members is a good indication that the RFC is worth pursuing.

# ----- DELETE EVERYTHING FROM THE TOP TO THE SUMMARY LINE BELOW WHEN USING TEMPLATE ----- #

### Summary:
Single paragraph explanation of the suggestion

### What is the motivation for this suggestion?
Why is this important? 
What are the use cases for this suggestion?
What should the outcome be if this suggestion is implemented?

### Suggestion design description:
- Explain the suggestion with enough detail that someone familiar with the process and environment of the project can understand the suggestion and explain it to others.
- It should include at least one end-to-end example of how the community will use it along with the specific details with outlying use cases. 

- If there is any new terminology, it should be defined here.

### What are the advantages of the suggestion?
- Explain the advantages of using this suggestion

### What are the disadvantages of the suggestion?
- Explain any disadvantages or trade-offs to using this suggestion

### How will this be work within the O3DE project?
- Explain how this suggestion will be work within the O3DE project.

### Are there any alternatives to this suggestion?
- Provide any other alternative ways that have been considered. 
- Explain what the impact might be of not implementing this suggestion.
- If there are other similar suggestions previously used, list them and explain which parts may have solved some or all of this problem.

### What is the strategy for adoption?
- Explain how new and existing users will adopt this suggestion.
- Point out any efforts needed if it requires coordination with multiple SIGs or other projects. 
- Explain how it would be taught to new and existing O3DE users.
