# Open 3D Engine Special Interest Group for Networking (SIG Network)

This repository holds materials for the Open 3D Engine Foundation Special Interest Group for Networking (SIG-Network).

## Description of SIG Network

We manage communication components for O3DE, including foundational networking layers, transport, multiplayer, client/server interactions and Cloud connectivity pieces of O3DE. See the [SIG's charter](governance/SIG%20Network%20Charter.md) for full details.

## What does the SIG do?

* Reviews and contribute to O3DE's technology roadmap specifically around Networking features. 
* Reviews network related issues, RFCs and PRs. 
* Ensures timely and frequent communication of networking activities (including Discord, sig meetings, triage, PR review, RFCs, etc.)
* Actively maintains networking features.
* Provides support to community for networking topics.
* Works with other SIGs and the TSC on networking related features and issues that are impactful.

## How do I get involved?

* Contact us on [Discord](https://discord.com/invite/o3de). The SIG has a specific chat channel **#sig-network**.
* Attend any of our public meetings by connecting to the **#sig-network** voice channel on O3DE's Discord server. See the [O3DE Calendar](https://lists.o3de.org/g/o3de-calendar/calendar) for upcoming meetings and details.
    * The SIG hosts a general meeting once a month, on the third Thursday of the month, to discuss networking features, recently contributed work, pending RFCs, and other items of interest to the SIG. Look for the meeting titled **SIG-Network Meeting** on O3DE calendar. [Meeting agendas](https://github.com/o3de/sig-network/issues?q=is%3Aopen+is%3Aissue+label%3Amtg-agenda) are posted in advanced as GitHub issues and anyone can raise issues for discussion.
    * The SIG also meets once per week, on Thursdays, to review any new issues of interest to the SIG. Look for the meeting titled **SIG-Network Issue Triage** and see the [Triage Guide](TRIAGE_GUIDE.md) for more details of what happens at this meeting.
* Subscribe to our [mailing list](https://lists.o3de.org/g/sig-network/join), which is occasionally used to convey information of interest to SIG members.

### Who can attend or participate?

O3DE cannot work without the help and input from as many of its community members as possible. You do not need anyone’s permission to get involved and contribute to the project. The #sig-network channel on O3DE Discord is a great place to begin getting involved. Many of our community members regularly share ideas, updates, and resources there. You can also find a number of topics under the GitHub Discussions area which need your input.

## Helpful information

* SIG Chair: Pip Potter [Amazon, [@lmbr-pip](https://github.com/lmbr-pip)], Co-chair: Karl Berg [Amazon, [@kberg-amzn](https://github.com/kberg-amzn)]
* Accepted [RFCs](./rfcs/README.md)
* [SIG-Network Charter](governance/SIG%20Network%20Charter.md)
* [Upcoming meeting agendas](https://github.com/o3de/sig-network/issues?q=is%3Aopen+is%3Aissue+label%3Amtg-agenda)
* [Archived meeting notes](meetings/readme.md)

Some of this guide was influenced by the [SIG-Simulation Readme](https://github.com/o3de/sig-simulation/blob/main/README.md). Thanks to the contributors there.
