# Remote Tools Connection Gem

This gem enables connection to the Editor to other remote tools. Currently, the gem is only used to connect LuaIDE tools. 
As the Gem is created in an extensible way, O3DE may support connections from other tools, but the following are tests 
for the initial needs/functionality of the gem.

## Common Issues

*   Connection failure
*   Connection drop
*   Tool instability

## Workflows

### Area: Remote Tools Connection Gem ENABLED

**Project Requirements**

* Remote Tools Connection gem is added and project built.

| Workflow                                                                  | Steps                                                                                                                                                                                                                                                                                                                                                                                                                                                       | What to look for                                                                                            |
|---------------------------------------------------------------------------|-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|-------------------------------------------------------------------------------------------------------------|
| LuaIDE launched from Editor tools menu and connected to running Editor    | <ol><li>Launch the Editor.</li><li>Create or open an existing level.</li><li>Launch the LuaIDE from the tools menu via **Tools → Lua Editor**.</li><li>Connect LuaIDE to Editor via **Target → Editor**.</li></ol>                                                                                                                                                                                                                                          | LuaIDE connects to the running Editor instance.                                                             |
| LuaIDE launched standalone and connects to launched Editor                | <ol><li>Launch the Editor.</li><li>Create or open an existing level,</li><li>In the OS file explorer, navigate to and launch `LuaIDE.exe` from the project build directory (not the Engine).</li><li>Connect LuaIDE to Editor **Target → Editor**.</li></ol>                                                                                                                                                                                                | LuaIDE connects to the running Editor instance.                                                             |
| LuaIDE launched from Lua script component and connects to Launched Editor | <ol><li>Launch the Editor.</li><li>Create or open an existing level.</li><li>Create a new Entity.</li><li>Attach a lua script component to the created Entity.</li><li>Click the open LuaIDE button on the script component.</li><li>Connect LuaIDE to Editor **Target → Editor**.</li></ol>                                                                                                                                                                | LuaIDE connects to the running Editor instance.                                                             |
| LuaIDE launched standalone with no Editor running                         | <ol><li>In file explorer, navigate to and launch `LuaIDE.exe`.</li></ol>                                                                                                                                                                                                                                                                                                                                                                                    | No errors occur when the LuaIDE is launched on its own with no Editor to connect to.                        |
| Lua Debugging (step through, breakpoints)                                 | <ol><li>Launch the Editor.</li><li>Create or open an existing level.</li><li>Create a new Entity.</li><li>Attach a lua script component to the created Entity.</li><li>Create a new Lua Script (something basic with `Debug.Log()` works fine).</li><li>Assign the saved lua script.</li><li>Open the assigned lua script in the LuaIDE (if not already open).</li><li>Put a breakpoint on one of the `Debug.Log` lines.</li><li>Enter game mode.</li></ol> | Logs show the script stopped at the assigned breakpoint.                                                    |
| Classes References Populate                                               | <ol><li>Launch the Editor.</li><li>Create or open an existing level.</li><li>Open the LuaIDE.</li><li>Connect LuaIDE to Editor via **Target → Editor**.</li><li>Click on the Editor Window after to allow Debugging to attach.</li><li>Return to the Lua Editor.</li></ol>                                                                                                                                                                                  | The class references list populates with available classes, ebuses, etc.                                    |
| Editor performance when Lua Editor is Launched                            | <ol><li>Launch the Editor.</li><li>Create or open an existing level.</li><li>Open the LuaIDE.</li></ol>                                                                                                                                                                                                                                                                                                                                                     | There should be no notable change in Editor performance with the LuaIDE open and connected or Disconnected. |
| Launcher connection                                                       | <ol><li>Launch a project's Game Launcher.</li><li>Launch the LuaIDE and select the game launcher as Target.</li></ol>                                                                                                                                                                                                                                                                                                                                       | The LuaIDE successfully connects to the game launcher.                                                      |



### Area: Remote Tools Connection Gem DISABLED

**Project Requirements**

* Remote Tools Connection gem is DISABLED and project built.

| Workflow                                                                  | Steps                                                                                                                                                                                                                                  | What to look for                                               |
|---------------------------------------------------------------------------|----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|----------------------------------------------------------------|
| LuaIDE (Tools Menu) - No Connection Gem                                   | <ol><li>Launch the Editor.</li><li>Create or open an existing level.</li><li>Launch the LuaIDE from the tools menu via **Tools → Lua Editor**.</li></ol>                                                                               | The LuaIDE and Editor remain stable.                           |
| LuaIDE (Script Component) - No Connection Gem                             | <ol><li>Launch the Editor.</li><li>Create or open an existing level.</li><li>Create a new Entity.</li><li>Attach a lua script component to the created Entity.</li><li>Click the open LuaIDE button on the script component.</li></ol> | The LuaIDE and Editor remain stable.                           |
| Script Canvas - No Connection Gem                                         | <ol><li>Launch the Editor.</li><li>Create or open an existing level.</li><li>Launch Script Canvas from the Tools Menu.</li></ol>                                                                                                       | The Script Canvas tool launches and the Editor remains stable. |
| Script Canvas - With Connection Gem                                       | <ol><li>Launch the Editor.</li><li>Create or open an existing level.</li><li>Launch Script Canvas from the Tools Menu.</li></ol>                                                                                                       | The Script Canvas tool launches and the Editor remains stable. |
